Subject: Linux Frequently Asked Questions 1/4 [monthly posted]
From: [email-masked]
Date: Thu, 18 Feb 1993 17:41:12 GMT
Newsgroups: comp.os.linux,comp.os.linux.announce,news.answers,comp.answers

Archive-name: linux-faq/part1
Last-Modified: 93/02/18
Version: 1.16.1

*********************************************************
*							*
*   Answers to Frequently asked questions about Linux   *
*							*
*********************************************************

This post contains Part 1 of the Linux FAQ (4 parts)

Hi Linuxers!

The original FAQ 1st version was posted on Dec. 19, 1991 by Robert Blum.

Most credits to Linus, Robert and Ted for the departure point of this
work. The first X11 section was written by Peter Hawkins, the rest was
either on the list posted by many (real) activists, not me ;-), either
in some other news groups, or else by direct posting to me (thanks
Humberto, Dan, Michael, Drew, Audoin). I haven't systematically
copyrighted them, so thanks to every one who participated even
indirectly to this FAQ.

Since September 1992, the FAQ is co-written by:

WHO 			(WHAT) 		E-MAIL
=============================================================================
Lars Wirzenius 		(META-FAQ) 	[email-masked]
Mark Komarinski 	(DOS) 	 	[email-masked]
Matt Welsh		(GENERAL INFO)	[email-masked]
Matt Welsh		(INSTALLATION)	[email-masked]
Drew Eckhardt		(SCSI)		[email-masked]
Hongjiu Lu		(GCC)		[email-masked]
Krishna Balasubramanian (X11)		[email-masked] 
Zane Healy		(BBS INFO)	[email-masked]
Philip Copeland		(NET INFO)	[email-masked]
Rick Miller		(DEVICE INFO)	[email-masked]
Peter MacDonald		(SLS INFO)	[email-masked]
Rick Sladkey		(EMACS)		[email-masked]
Dirk Hohndel		(PROOF READER)	[email-masked]
Marc-Michel Corsini	(FAQ collector)	corsini@{labri,firmin}.greco-prog.fr
=============================================================================

If anyone is interested in participating with this FAQ, just send me a
note with: your name/e-mail and the section you want to maintain.  

Many of the questions could be avoided, if people had read the FAQ of
the following newsgroups: news.announce.newusers, comp.lang.c,
gnu.emacs.help,  comp.unix.questions, comp.windows.x.i386unix.  
 
[The last-change-date of this posting is always "two minutes ago".  :-)]

This is the introduction to a list of frequently asked questions (FAQ
for short) about Linux with answers (Yeap!).  This article contains a
listing of the sections and queries.

This FAQ is supposed to reduce the noise level ;-) in the
comp.os.linux newsgroup, and spare the time of many activists. I will
cross-post it each month to news.answers. This FAQ is NOT an
introduction to UNIX, there are many books for unix, and there is
*also* a FAQ for unix (it's the one of comp.unix.questions which
contains things such as "How do I remove a file named -". I DO NOT
WANT TO ADD SUCH THINGS IN THIS FAQ DEVOTED TO LINUX.

Some books to read: 
  The C Programming Language: Kernighan & Ritchie
  POSIX Programmer's Guide: D. Lewine
  Unix System Administration Handbook: Nemeth, Snyder & Seebass.
  Unix for the Impatient: Abrahams & Larson
  Unix System V Release 4, An Introduction, by Rosen, Rosinski and
    Farber; Publisher Osborne MacGraw-Hill.
  The X Windows System in a Nutshell: O'Reilly.
.....

BTW This FAQ is available at the main Linux sites in the doc
directory, the addresses are given in section II. of this FAQ. There
is also an automated FAQ mailserver archive at rtfm.mit.edu.
Send mail to [email-masked] with the word "help" in
the body.

The information in this multi-parts FAQ is likely to change relatively
quickly. If this is more than two months old (it was released on
February 1993) then you should obtain a new copy. See the paragraph
above for details of where to find a more recent version.

Please suggest any change, rephrasing, deletions, new questions,
answers ...  
Please include "FAQ" in the subject of messages sent to me about FAQ.  
Please use [email-masked] whatever will be the From part 
of this message. Finally discussion about the FAQ can be done on the
DOC Channel (see section II).

Thanks in advance,
				Marc

The FAQ can be found in LaTeX version, thanks to Pepe Flores Peters.

Future Plan:

	- provide FAQ as diff too, since it seems to stay stable
	  except for very few sections.
	- perform automatic post to c.o.l, c.o.l.a, c.a and n.a 
	  every month as I promised long time ago.

================================8<=====8<==============================
CONTENTS (of this part)

	0.	WARNINGS				(part1)
	I.	LINUX GENERAL INFORMATION		(part1)
	II.	LINUX USEFUL ADDRESSES			(part1)

================================8<=====8<==============================
 
0. WARNINGS
===========

The FAQ contains a lot of information sometimes I've put it down 
in 3 different ways because people seems not to understand what they
read (or what I wrote, you know I'm just a froggy and english is not
my natural language). What I mean is that not all is in the FAQ but 
many things are there, so please just take time to read it this will 
spare a lot of the other linuxers [and if you think I should rephrase
some Q/A just drop me a note with the corrections].

As the Linux kernel changes monthly (and even more ...), I define 2
pseudo variables a la C one for the version, and one for the date of
the release.  

#define CURRENT_VERSION    0.99     /* the current version */
#define PATCH_LEVEL	   5        /* the patch level */
#define KERNEL_DATE	   10, Feb. /* Date of the CURRENT_VERSION */

In what follows I'll consider CURRENT_VERSION as the current version.

> From: [email-masked] (Linus Torvalds)
> Subject: ANNOUNCE: linux 0.99 patchlevel 5
> Date: Wed, 10 Feb 1993 12:02:55 +0200
> 
> 
> 	"He's done it yet again - doesn't he ever rest?"
> 			- anonymous linux kernel hacker
> 
> Only complete newbies don't know what this is all about, but I'd better
> tell you anyway: patchlevel 5 of the 0.99 kernel is now available on
> nic.funet.fi (pub/OS/Linux/PEOPLE/Linus) as both context diffs against
> pl4 and complete source code.  I'm not even going to speculate on 1.0
> right now. 
> 
> The pl5 diffs are about 90kB compressed: the major changes are to the
> tcp/ip code and the serial driver, while there are various minor fixes
> strewn around the system:
> 
>  - serial lines/tty changes (tytso & Fred v Kempen)
>  - NFS bugfixes (Rick Sladkey)
>  - tcp/ip (Ross Biro)
>  - coprocessor handling changes (me)
>  - harddisk driver error handling (Mika Liljeberg)
>  - various minor patches (me and others)
> 
> Serial lines now implement non-blocking opens correctly and support
> dial-out lines (same minor, major==5).  I changed the default startup
> mode to be CLOCAL so that people won't get confused by the modem line
> code when not using dial-in. 
> 
> Another interesting change is the 387 error-coupling tests at bootup:
> the code to check if the intel-recommended exception 16 error reporting
> is present is "non-obvious".  If you have had problems with coprocessor
> error handling, or have a non-intel coprocessor, I'd suggest you test
> this out: I'd like to hear about problems/successes. 
> 
> 		Linus
> 
> PS.  If you tested out the latest ALPHA-diffs (the ones that already
> changed the kernel version to pl5), the changes to the final pl5 were
> only cosmetic. 

I. LINUX GENERAL INFORMATION 
=============================
*** This section is maintained by Matt Welsh ([email-masked]). Mail
*** him if you have corrections, additions, other questions, etc. 
*** Last update November 1992.

QUESTION: What is linux?

ANSWER: Linux is a small unix for 386-AT computers, that has the added
advantage of being free(*). It is still in beta-testing, but is slowly
getting useful even for somewhat real developement.  The current
version is CURRENT_VERSION, date: KERNEL_DATE. 

(*) Free means that you may use it, change it , redistribute it, as
long as you don't change the copyright. Free does not mean public
domain.

Linux is a freely distributable UNIX clone.  It implements a subset of
System V and POSIX functionality, and contains a lot of BSD-isms.
LINUX has been written from scratch, and therefore does not contain
any AT&T or MINIX code--not in the kernel, the compiler, the
utilities, or the libraries.  For this reason it can be made available
with the complete source code via anonymous FTP.  LINUX runs only on
386/486 AT-bus machines; porting to non-Intel architectures is likely
to be difficult, as the kernel makes extensive use of 386 memory
management and task primitives. 

QUESTION: Does Linux support GCC, TCP/IP, X-Windows, MGR, etc.?

ANSWER: Linux currently supports and uses a large amount of the GNU
software (i.e. GCC, bison, groff, etc) so all of that functionality is
there. X-Windows is also available, along with many client
applications. MGR is there too. TCP/IP is in testing, and is available  
for you to try out. 

(Dirk Hohndel:) TCP/IP is available. I use Linux boxes as Xterminals
and my "own" asterix has mounted half a Gig via NFS. Mitch DSuoza is
running an anonymous FTP server on his Linux box. This is definitely
more than testing. The newest SLS  has a TCP/IP kernel by default. 

See section VIII of this FAQ ("Features")!

In short, Linux supports many, many features and programs. One of the
biggest questions is: 
	"Does ***** work on Linux? Does Linux have *****?" 
The answer, usually, is "yes". Just check out the rest of this FAQ,
the newsgroup, as well as the files on the FTP sites. 

QUESTION: What is the current state of Linux?

ANSWER: read the comp.os.linux newsgroup, where the INFO-SHEET is
periodically posted.

QUESTION: I've just heard about linux, what should I do to get it?

ANSWER: FIRST read this FAQ, and especially section III
(installation).  Choose a "release" of Linux (such as MCC, SLS,
bootdisk/rootdisk, etc).  Download from your nearest FTP site, use the
"rawrite" program as needed to write the images to high-density
floppies (5.25 or 3.5). Specific instructions are given in section III
and in the README files for each release.

Note that some releases only give you the kernel and a few utilities,
and others give you everything you need (including X11, GCC, and more)
in that latter case the downloading is close to a douzen of SOFT. Just
check out section III for more info.

QUESTION: Does it run on my computer?

ANSWER: Linux has been written on a clone-386, with IDE drives and a
VGA screen. It should work on most similar setups. The harddisk should
be AT-standard, and the system must be ISA. (though *some* EISA
success has been reported [T. Koenig], Linux doesn't take advantage of
the EISA structure).  A high density floppy drive -- either 5.25" or
3.5"-- is required.

{Drew's information:
Linux supports anything that's register compatable with a WD1003 MFM 
disk controller (ie, the original PC-AT disk controller.)  Most AT
MFM, RLL, ESDI, and IDE setups look like this.  

XT compatable disk controllers won't work.

Generally, the rule is if you have the disk configured into the 
CMOS setup of your machine, it will work (because the BIOS is talking 
to a WD 1003 compatable board), otherwise it won't.}

IDE and MFM seem to work with no problem. It works, also, for some
ESDI drive (you might have to comment out the "unexpected hd
interrupt"-message from hd.c). There exists a high-level SCSI driver,
under which low-level drivers are placed; a ST-01/ST-02 low driver has
been completed see the FEATURES and the USEFUL ADDRESSES sections.

Otherwise the requirements seem relatively small: a 386 (SX, DX or any
486).  Any video card of the following: Hercules, CGA, EGA, (S)VGA.

It needs at least 2M to run (with SWAP), and 4M is definitely a plus.
It can happily use up to 16M (and more if you want).

BTW There are problems with some MAXTOR drives on high speed machines
(sometimes switching off "turbo" helps). There may also be a problem
with "slow" memory (under 60ns) on fast  machines. Again, the solution
is to turn off "turbo". Mixed SIMMs (3 and 9 chip versions) have also
reported to be problematic. 

NOTE1: It doesn't run (yet?) on a MCA machine
NOTE2: There is a driver for XT but not tested by me (see below)
NOTE3: There is also a support for 8514 and S3.

  From: [email-masked] (Pat Mackinlay)
  Subject: ANNOUNCE: New XT disk driver
  Date: Tue, 15 Dec 1992 15:24:27 GMT

  This is a short note to annouce the second release of the XT hard disk 
  drivers for Linux. This set of patches is for Linux 0.99 (pl0) and
  should be available on tsx-11 under
  /pub/linux/ALPHA/xtdisk/xtdisk2.tar.Z and  
  /pub/linux/ALPHA/xtdisk/README.xtdisk.

  Just a brief introduction: this driver allows you to use XT-style (8
  bit) hard drive controllers. The advantage of these is that you can
  use them in conjunction with normal AT-style (16 bit) controllers,
  IDE drives and SCSI drives. The major problem with them is the fact 
  that they are very slow, so swapping to one of these
  controllers/disks is not recomended <grin>. 

QUESTION: Will Linux run on a PC or 286-AT? If not, why?

ANSWER: Linux uses the 386 chip protected mode functions extensively,
and is a true 32-bit operating system. Thus x86 chips, x<3, will
simply not run it.

QUESTION: Will Linux run on a 386 Laptop?

ANSWER: It works, including X on most of them.

QUESTION: Why the suggested 4Meg, for Linux?

ANSWER: Linux uses the first 640k for kernel text, kernel data and
buffercache. Your mother board may eat up 384K because of the chipset.
Moreover there is: init/login, a shell, update possibly other daemons.
Then, while compiling there is make and gcc (2.01 ~770k).
So you don't have enough real memory and have to page.

QUESTION: How would this operate in an OS/2 environment?

ANSWER: Linux will coexist with *ANY* other operating system(s) which
respects the "standard" PC partionning scheme - this includes Dos,
Os/2, Minix etc. 

WARNING: Linux and OS/2 *can* co-exist on the same machine. BUT, you
cannot use Linux's fdisk to make Linux partitions! See the warnings in
section III about Linux and OS/2.

QUESTION: (Dan) How long has Linux been publicly available?

ANSWER (partial): Few months, v0.10 went out in Nov. 91, v0.11 in Dec.
and the current version CURRENT_VERSION is available since
KERNEL_DATE.  But even it is pretty recent it is quite reliable. There
are very few and small bugs and in its current state it is mostly
useful for people who are willing to port code and write new code. As
Linux is very close to a reliable/stable system, Linus decided that
v0.13 will be known as v0.95.  Believe it or not: the whole story
started (nearly) with two processes that printed AAAA... and BBBB...
BTW consult the digest#136 Vol2 for a complete story.

QUESTION: What is the proper pronounciation for "Linux"?

ANSWER: (Linus himself)
'li' is pronounced with a short [ee] sound: compare prInt, mInImal etc. 
'nux' is also short, non-diphtong, like in pUt.  It's partly due to
minix: linux was just my working name for the thing, and as I wrote it
to replace minix on my system, the result is what it is...  linus' minix
became linux. 

I originally intended it to be called freax (although buggix was one
contender after I got fed up with some of the more persistent bugs :)
and I think the kernel makefiles up to version 0.11 had something to
that effect ("Makefile for the freax kernel" in a comment).  But arl
called the linux directory at nic.funet.fi pub/OS/Linux, and the name
stuck.  Maybe just as well: freax doesn't sound too good either (freax
is obviosly free + freak + the obligatory -x). 

(Rick's note for English speakers:  Linux - "LIH-nuhks".)

QUESTION: What's about the copyright of linux?

ANSWER: This is an except of the RELEASE Notes v.095a: Linux is
NOT public domain software, but is copyrighted by Linus Torvalds. The
copyright conditions are the same as those imposed by the GNU
copyleft: The GNU GENERAL PUBLIC LICENSE Version 2, June 1991 is part
of the source tree.

QUESTION: Should I be a UNIX and/or a DOS wizard to install/use Linux?

ANSWER: Not at all, just follow the install rules, of course it will be 
easier for you if you know things about Unix. Right now Linux is used
by more than BIGNUM persons, very few of them enhance the kernel, some
adds/ports new soft, most of us are only (but USEFUL) beta testers.
Last but not least, various Linuxers work on manpages, newuser_help,
file-system organization. So join us and choose your "caste".

It is even used in production environments (Dr. G.W. Wettstein)

QUESTION: Does Linux use TSS segments to provide multitasking?

ANSWER: Yes!

QUESTION: If my PC runs under Linux, is it possible to ftp, rlogin,
rsh etc.. to other Unix boxes?

ANSWER: Kermit and ka9q have both been ported to Linux. Also, TCP/IP is
quite reliable, only a few clients are missing.
Read section XI. devoted to Ethernet and Linux.

QUESTION: Does linux do paging? Can I have virtual memory on my small
machine?

ANSWER: Yes, it does. Generally you set up a swap file or partition, and
enable it with the "swapon" command. Voila! Virtual memory.

QUESTION: Can I have tasks spanning the full 4GB of addressable 386
memory? No more 64kB limits like in coherent or standard minix?

ANSWER: Since 0.97 it uses 4 GB Process Space, 3 for userspace and
1 for the kernel space.

QUESTION: Does the bigger program sizes mean I can run X?

ANSWER: Yes! See section XII below for details on X11.

QUESTION: What are the differences, pros and cons compared to Minix ?

ANSWER (partial): 
Cons: 
- Linux only works on 386 and 486 processors.  
- Linux needs 2M of memory just to run, 4M to be useful.  
- Linux is a more traditional unix kernel, it doesn't use message
passing. 

Pros: 
- Linux is free, and freely distributable, BUT copyrighted.  
- Linux has some advanced features such as:
  - Memory paging with copy-on-write
  - Demand loading of executables
  - Page sharing of executables
  - Multi-threaded file system
  - job control and virtual memory, virtual consoles and pseudo-ttys.
- Linux is a more traditional unix kernel, it doesn't use message
passing.

QUESTION: What are the pros and cons compared to 386BSD ?

ANSWER: Linux and 386BSD started out as completely different projects,
with completely different goals and design criteria in mind. Personally,
my experience with 386BSD has shown that :
(a) its TCP/IP is more stable, and seems to work (on my NE2000 card,
which Linux doesn't support yet), but 
(b) the interface and "feel" just wern't the same as Linux (which I liked
better :) ). You'll have to try it out for yourself. Here's information
from comp.unix.bsd, September 1992:

| This is a free BSD for the 386.  It does NFS and X.
| Grab it from agate.berkeley.edu (128.32.136.1).  
| Bill Jolitz is writing a book on it.
| 
| It has a neat, small kernel, and is stable enough to run for a week or
| more without crashing/hanging. It works fine with 4MB RAM and 80MB
| disk.  Running X however needs 8MB RAM, and supports only vanilla VGA.
| The TCP/IP implementation in this is functional, but not optimised.
| This means that FTP throughput is about 5KB/sec on Ethernet, when
| almost anything else gives you about 70KB to 100KB per second.
| 
| Read comp.unix.bsd. That is almost entirely Jolitz's 386BSD now.
|
|    3. How much disk space for:
|	*kernel
|	*X
|	*source to kernel
|	*source to X
|        Binary only:    49 M (30 disk, 5 swap, 14 extraction)
|        Source:         125 M (49 bin, 37 disk, +6 extraction, 25 recompile)
|        User software:  +51 M
|
|	X Binaries require about 61 Meg (?)
|	I don't know about the sources.

To conclude this Q/A wrt Linux vs 386BSD, you should read the Linux News
Issue #5 of L. Wirzenius, where a true story of Mark W. Eichin is
reported.

QUESTION: How much space will Linux take up on my hard drive?

ANSWER: It depends on which release you choose. See the section
INSTALLATION below. Usually it's somewhere between 10 megs (for a
nominal system+swap space) and 30-40 megs (for everything plus space
for user directories, etc.). 

BTW the full SLS needs around 60 MB (including TeX and other goodies).

II. LINUX USEFUL ADDRESSES 
=========================

II.A. LINUX ON THE NET: ftp, mailing-list
II.B. OBTAINING LINUX FROM BBS'S: everything about bbs

II.A. LINUX ON THE NET
~~~~~~~~~~~~~~~~~~~~~~

QUESTION: Where can I get linux?

ANSWER: Linux (all the software, binaries, sources, releases, and so on),
can be retrieved via anonymous FTP from :

[ Major sites ]
EUROPE:
	nic.funet.fi (128.214.6.100):
		directory /pub/OS/Linux
	ftp.informatik.tu-muenchen.de (131.159.0.110)
		directory /pub/Linux

US:	
	tsx-11.mit.edu (18.172.1.2):
		directory /pub/linux
	sunsite.unc.edu (152.2.22.81):
		directory /pub/Linux

[ Mirroring sites (some of them, there are lots now) ]

AUSTRALIA:
	kirk.bu.oz.au (131.244.1.1)
		directory /pub/OS/Linux

EUROPE:
        src.doc.ic.ac.uk (146.169.3.7):
		directory /pub/os/Linux
	ftp.mcc.ac.uk (130.88.200.7):
		directory pub/linux
	ftp.dfv.rwth-aachen.de (137.226.4.105):
		directory /pub/linux
	ftp.informatik.rwth-aachen.de (137.226.112.172):
		directory /pub/Linux
	ftp.ibr.cs.tu-bs.de (134.169.34.15):
		directory /pub/os/linux

JAPAN:
	 kuis.kyoto-u.ac.jp (130.54.20.1):
		directory /Linux 
			  /Linux/mirror (for the tsx mirror)
KOREA:
	cair.kaist.ac.kr (143.248.11.170):
	 mirror of sunsite; directory pub/Linux

US:
	wustl.wuarchive.edu (128.252.135.4):
		directory /pub/mirrors4/linux
	ftp.eecs.umich.edu (141.212.99.7):
		directory linux

You might want to check out which of these is the most up-to-date.

If you have no FTP capability, you are in trouble. See the next Q/A.
Also, you'll need the "UNCOMP.EXE" and "RAWRITE2.EXE" programs for DOS
(to make your install disks). These are usually found in the Linux
directories on the above FTP sites.

QUESTION: I do not have FTP access, what can I do to get linux?

ANSWER: You can either read the next subsection related to BBS's
otherwise, read the following.

The SLS release is distributable by snail-mail on floppies for those
without net access; see the SLS section in section III of this FAQ for
more. 

Try to contact a friend on the net with those access, or try
mailserver/ftpmail server otherwise contact [email-masked]. You
might try mailing "[email-masked]" with "help" in the body of
the mail.  If you choose ftpmail server (example: [email-masked]),
with "help" in the body, the server will send back instructions and
command list. As an exemple to get the list of files available at tsx-11
in /pub/linux send:

		mail [email-masked]
		subject: anything
		reply <your e-mail>
		connect tsx-11.mit.edu
		chdir /pub/linux
		dir -R
		quit

In Europe ftp.informatik.tu-muenchen.de is accessible via e-mail (send
"help" in the body to [email-masked])

QUESTION: Is there a newsgroup or mailing-list about linux? Where can
I get my questions answered? How about bug-reports?

ANSWER: The comp.os.linux newsgroup is literally *teeming* with postings.
So, to the first question, yes. :) The older newsgroup, alt.os.linux,
is being phased out and shouldn't be used anymore.

If you don't have news access you can get the digest of postings via
e-mail from: [email-masked]. This list
is gatewayed to the newsgroup as well. Only use the 'request' address
for subscribe/unsubscribe messages; don't post those to the newsgroup
or to the actual mailing list.

Questions and bug-reports can be sent either to the newsgroup or to
Linus himself at "[email-masked]", depending on which you
find more appropriate.

And last but not least there is the original mailing-list, which is
now a multi-channel list. 
		contact [email-masked]

QUESTION: Could you be more explicit about the multi-channel list?

ANSWER: Well, there are many things to say:
   - these channels are rather devoted to hackers
   - the ones I am aware of are: GCC, MGR, X11, SCSI, NEW-CHANNELS,
     MSDOS (emulator discussion) , NORMAL, KERNEL, FTP, LAPTOP, DOC,
     NET, CONFIGS, LINUXNEWS ... 
   - whenever you want to JOIN or LEAVE a channel you have to
     contact the request address
   - you have to use special header (X-Mn-Key and Mn-Admin); X-Mn-Key
     is *ONLY* for regular post, the X-Mn-Admin is for *REQUEST*

(Ari Lemmke: 1 Nov. 1992):
	Hmmm.... It seems our list has now about 1500 users
	in 21 channels (mailing lists). 3960 without uniq.

	"echo foo | mail [email-masked]"
	to get the Mail-Net User Guide.

QUESTION: How can I join the channel XXX on the linux-activists
mailing list?

ANSWER: just send a mail to the request address with help in the body;
you will get back a mail which gives you the list of channels and the
way to join/leave them. Basically you send mail to the request address
with the line:
   X-Mn-Admin: join <channel>

QUESTION: How can I leave the channel XXX on the linux-activists
mailing list?

ANSWER: Same as above, basically. You send mail to the request address
that contains the line:
   X-Mn-Admin: leave <channel>

QUESTION: I'm not an hacker, what are the channels I could be interested
in? 

ANSWER: Probably these are the most interesting for you (IMHO)

	Channel NORMAL:
	~~~~~~~~~~~~~~~
 Channel normal is the former Linux-Activists mailing list
 (all the people who were on the old Linux-Activists list
 are moved to this channel).

	Channel DOC:
	~~~~~~~~~~~~
 This channel is for Linux document "project". Discussion about Linux
 documents, manuals, papers, etc.  

	Channel CONFIGS:
	~~~~~~~~~~~~~~~~
 This channel will be devoted to send submissions of systems that have
 Linux already running, AND those that, for any reason, can't get it  
 to work yet.

 Mainly, what it's need from all the channel users is to send their
 hardware configuration list (as complete as possible). Include
 anything that you feel pertinent for information: CPU,
 motherboard, RAM amount, HD & floppy controller, BIOS, monitor,
 video card & memory, network adapter, etc. If you are having trouble
 with your current system, or you find out that a program doesn't work
 properly on your system due to a HARDWARE problem, it may be useful  
 for us to know your configuration; maybe you can get a lot of help. 

	Channel LINUXNEWS:
	~~~~~~~~~~~~~~~~~~
 The LINUXNEWS channel will be used for distribution of Linux News, a
 weekly (if I can find the time) summary of things that happen in the
 Linux community.  Discussion is not encouraged, if you have complaints
 or suggestions, send them directly to me ([email-masked]).

	Channel NEW-CHANNELS:
	~~~~~~~~~~~~~~~~~~~~~
 On the future users on this channel get the information about new
 channels created. 

 By this way you can join the channels you want, and do not need to
 send mail to Mail-Net info server or listen rumours.

QUESTION: Does there exist a place where the traffic of the newsgroup
is kept?

ANSWER: Yes, on nic and tsx-11 (see the ftp addresses above), and since
12th March, a Gopher server is up at beryl.daimi.aau.dk (130.225.16.86).  
The archives go back to Nov. 18. 91. Also recently a WAIS server for the
linux mail archive has been setup at fgb1.fgb.mw.tu-muenchen.de. Contact
[email-masked] for more info. 

All back issues of the Digest are available on tsx-11.mit.edu
[18.172.1.2] in the following place(s):

pub/linux/mail-archive
                     ~/Volume?               /* where '?' in volume #
                              ~/digestnnn.Z   * and nnn is issue #
                                              */

II.B OBTAINING LINUX FROM BBS'S
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*** This section is maintain by Zane Healy ([email-masked])
*** Last Update November 1992.

QUESTION:  I don't have access to FTP, how can I obtain Linux?

ANSWER:  Linux is available from various BBS's around the world.

QUESTION:  I got this FAQ from a local BBS, or a friend, and I see there
is a newsgroup called comp.os.linux .  I don't have access to USENET or
mail, so how can I get the messages?

ANSWER:  Some of the BBS's on FidoNet carry comp.os.linux as a FidoNet
conference.  Also some of the other BBS's carry it in some form or other.

QUESTION:  Do BBS's offer anything that the Internet does not?

ANSWER:  Yes, on the information side there are the UNIX conferences on
both the RIME network and FidoNet.  Although they are not dedicated to
linux, a large amount of the messages are linux related.  Also at least
one software package being developed for linux, and also one port is
available via BBS's long before they are available via anonymous FTP. 

QUESTION:  What is a BBS?

ANSWER: A BBS is a Bulletin Board System, it let's you transfer
message's and file's via your phone line and all you need is a
computer with communications software and a modem.  Some BBS's
transfer message's among each other forming large computer network's
similar to USENET.  The most popular of these in the US are FidoNet
and RIME.

QUESTION:  How can I get a (Near) complete list of BBS's that carry Linux?

ANSWER:  I (Zane Healy) post a list of all known BBS's that carry Linux
to comp.os.linux as well as the RIME and Fidonet UNIX conferences on the
1st and 15th of each month.

QUESTION:  Now that I have a phone number, how do I go about accessing a
BBS?

ANSWER: 

1. You need a computer equipped with communications software and a modem.

2. For ALMOST all BBS's you will need to set the comm software up for:
    8 - Data Bits
    N - Parity
    1 - Stop Bit

   Although certain BBS's and Communication services require that the 
software be set for:
    7 - Data Bits
    E - Parity
    1 - Stop Bit
   
   You will also need to set the comm software for the correct speed,
either the top speed, or the max speed for your modem.

3. Using the comm software, call the BBS.  Once you connect with the
BBS (this may take awhile, as other people are likely to be using it),
you will be asked some questions.
   If you are a registered user of the BBS it will normally only ask
for your name and password.  However if you are not a registered user,
it will most likely require that before you do anything, you register.
The method of registration varies from BBS to BBS.
   Normally the first thing that will happen is, you sign on to the
BBS, and tell it your name.  It will then check it's list of user's
and see that you are not one of them.  At which time it will ask you
if you are a new user, or if you wish to re-enter your name.  When you
tell it you are a new user, it will then ask you some questions about
yourself, such as where you are calling from and your phone number.  A
lot of BBS's will want some statistical info such as what type of
computer you are using, your communications software, your age, etc,
etc.
   After this, most BBS's require some sort of validation, this is for
the System Operator's (SysOp's) protection.  One type is where you
give the BBS software your phone number, hang up, and the BBS calls
your computer to verify that you gave it legitament phone number.
Some BBS's require that you mail the SysOp a postcard.  Most, however
just require that you give the SysOp the request info and then he
upgrades your level of access a couple of day's later.
   For the most part you will find that the registration process is
easy to follow and well documented.

QUESTION:  There is a local BBS that carries Linux, but it isn't on the
latest Linux BBS List.  How do I go about submitting it for inclusion in
the list? 

ANSWER:  Send the following information on the BBS to me:

                                           BBS Name:
                                       Phone Number:
                                        Modem Speed:
                             City and State/Country:
Whatever Network it's on (i.e. FidoNet, RIME, etc.):
         First Time access to D/L Linux Files (Y/N):
                   Free Access to Linux Files (Y/N):
                          Allow File Requests (Y/N):
                                   BBS Rating (1-5):

I can be reached at one of the following E-Mail Addresses:
             Internet -- [email-masked]
           CompuServe -- 70332,14
              Prodigy -- SCNN49A
         Fido NetMail -- Zane Healy at 1:109/615
 RIME UNIX Conference -- Zane Healy

QUESTION:  What can I do to help ensure the continued development of
Linux?

ANSWER:  PLEASE UPLOAD FILES TO BBS'S

   I would like to point out that a very large number of the Linux
enthusiasts don't have FTP access.  In fact it is possible that by now
most of the Linux fan's don't.  So I would like to suggest that those of
us that do, find at least one BBS to post the Linux file's to.  I, for
one post every file that I get to at least one of the local BBS's, and
from there they the file's tend to find there way to other local BBS's.
I've seen posts about the future of Linux etc., well here is a way to
help guarantee it.  I think it's safe to assume that most people with FTP
access also have a modem.  So how about doing other Linux fan's a favor
and finding a BBS to upload the Linux files to.
 
QUESTION:  How do I read the data contained in the Linux BBS List?

ANSWER:  The list uses the following format:

State   YYY  BBS Name                Phone Number    Modem Speed
Rating       City                    Other data
 
The BBS's are rated by the number of Linux related file's that they
carry.  This is so you can choose one's that has a better chance of
carrying the file's you are looking for if you are calling long distance.
The BBS's are rated on a scale of one to five.
 
  1 -- Only enough the most basic of files
  2 -- The basics and a little more
  3 -- So, so
  4 -- A respectable amount
  5 -- Pretty much everything you need
 
Information about the boards access policies can be obtained by
checking a three digit field.

  YYY -- Either a Yes/No/? answer to the question
  |||
  ||Free access to Linux files
  |Allow file requests (FidoNet)
  First time D/L of Linux related files

NOTE: Just because a board has N's in the first two fields does not
mean that it is a board to stay away from.  A lot of boards require
that you register and be verified before you can access most of their
features, hence the first N.  The second field is, to the best of my
knowledge, limited to BBS's that are part of FidoNet.
   
QUESTION:  What are some of the best BBS's to check out?

ANSWER:            

In the US:

CA  YNY hip-hop                 408-773-0768 14.4k V.32bis/HST
  5     Sunnyvale               Login: guest (no password)
DC  NNY When Gravity Fails      202-686-9086    14.4k
  5     Washington
FL  ??? Slut Club               813-236-1232    14.4k
  5     Tampa/St.Pete           Fidonet 1:377/42
GA  YYY Information Overload    404-471-1549    9600 HST 
  5                             FidoNet 1:133/308
ID  ??? Rebel BBS               208-887-3937    9600
  5     Boise
IL  YYY EchoMania BBS           618-233-1659    14.4k HST
  3     Belleville              Fido 1:2250/1  (f'reg LINUX)
        F'reqs from unlisted nodes, online callback verifier (works L.D.)
MD  ??? Brodmann's Place        301-843-5732    14.4k
  5     Waldorf                 RIME ->BRODMANN
NC  ??? MAC's Place             919-891-1111   DS modem 
  5     Dunn                    RIME ->MAC
NY  YYY Prism BBS,Middleton     914-344-0350    9600 HST/v.32   
  5     Middletown, NY          Fidonet 1:272/38
NY  YYY The Laboratory          212-927-4980    16.8k HST, 14.4k v.32bis
  3-4                           FidoNet 1:278/707
OR  YYY Intermittent Connection 503-344-9838    14.4k HST v.32bis   
  5     Eugene, Ore             1:152/35
TX  YYY Advanced BBS            512-578-2720    9600    
  5     Victoria, TX            Fidonet 1:3802/215
VA  ??? VTBBS                   703-231-7498
  5     Blacksburg
WA  YYY S'Qually Holler         206-235-0270    9600 
  5     Renton                  Fidonet 1:343/34
 
And here are all the known BBS's outside the US:
 
AUSTRALIA:
NSW YYN Linux-Support-Oz        +61-2-418-8750         2400
  2-3   Sydney                  Intlnet, SBCNet
?   ??? 500cc Formula 1 BBS     +61-2-550-4317 V.32
  ? (2-3) 
CANADA:
ON  ??? EX-10 Kitchner         519-725-4400
  ?
ON  ??? Ned's Ottawa           613-739-1591
  2
ON  ??? Bytown                 613-236-1232 
  2                             SmartNet
PQ  ??? Synapse                819-246-2344  819-561-5268
  5     Gatineau               RIME->SYNAPSE
GERMANY:
    ??? bakunin.north.de        00 49 421 870532        9600
  ?     D 2800 Bremen           [email-masked]
    ??? ??????????????          +49-40-735-5349         14.4k
  1
    ??? Hipposoft's Mail Server +49-241-875090          14.4k V.32bis/HST
  3     D-W5100 Aachen          Fidonet 2:242/6
IRELAND:
    ??? TOPPSI                  +353-1-711047 or 773547 9600
  ?                             Fidonet 2:263/151
NORWAY:   
    ??? Thunderball Cave        472567018     
  ?                             RIME ->CAVE ?
NETHERLANDS:
    ??? DownTown BBS Lelystad, Linux Support BBS        14.4k
  ?                             +31-3200-48852 FIDONET
SOUTH AFRICA:
    ??? Andre Skarzynski - Linux Activists of Southern Africa
  ?     +27 2231 78148 (Is this voice or data?)
UNITED KINGDOM:
    NYN The Purple Tentacle     +44-734-590990          HST/V32bis
  3-4   Reading                 Fidonet 2:252/305 
    ??? A6 BBS                  +44-582-460273          14.4k
  ?     Herts                   Fidonet 2:440/111

QUESTION: What are File Requests?

ANSWER: FidoNet BBS's with the right type's of front-end mailer's can
call other Fido BBS's and request their front-end mailer to send them
files that they want.  All this can be done automatically.  File
Requests (freqs) are basically the FidoNet equivallent to UUCP.

	   ===================8<==========>8================-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#	LaBRI 			 |					    #
#  351 cours de la Liberation    |  e-mail:  [email-masked]    #
#  33405 Talence Cedex		 |					    #
#  				 |					    #
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-- 
	 There will be a sig when our local net is reliable.
	       For now, I would rather stay anonymous.